from urllib.parse import quote
import requests
import json

# Request parameters; ID is provided by the otp/send endpoint
api_key = "PCW45-12345-12345-1234X"
id = "OTP45-12345-12345-1234X"
otp = "532132"

# Prepare request and encode user-entered parameters with %xx encoding
request_url = f"https://ws.postcoder.com/pcw/{api_key}/otp/verify"

request_body = {
    "id": f"{quote(id, safe='')}",
    "otp": f"{quote(otp, safe='')}"
}

# Send request
response = requests.post(request_url, json=request_body)

# Process response
if response.status_code == 200:
    json = response.json()
    print(json["valid"])
else:
    print(f"Request error: {response.content.decode()}")